/*
	lnfsys.h

	% Look & Feel system functions header

	Look & Feel 3.2
	Copyright (c) 1989 by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 3/30/90 jmd	ansi-fied
	 4/17/90 jdc	added help filename to lnf_Open args
	 8/24/90 jdc	switched to lnfmenu.h scheme
*/

/* functions used in lnf.c */
extern class_func	(lnfsed_Class);
extern class_func	(lnfsled_Class);

/* LNFGO.C */
extern void		lnf_Go(void);

/* LNFOPEN.C */
extern void		lnf_Open(int argc, char *argv[], char *cfg, char *hlp);

/* lnf system functions */
extern void lnf_fenter(sed_type);						/* lnffn.c */
extern void lnf_fkey(sed_type);

OEXTERN field_funcs_struct lnf_funcs;

OEXTERN field_funcs_struct popbob_funcs;				/* lnffnpb.c */

OEXTERN field_funcs_struct lnfdir_funcs;				/* lnffuncs.c 	*/
OEXTERN field_funcs_struct lnffile_funcs;
OEXTERN field_funcs_struct lnfint_funcs;
OEXTERN field_funcs_struct lnfhex_funcs;
OEXTERN field_funcs_struct lnflong_funcs;

extern spc_func	(spc_FieldEdit);						/* lnffedit.c 	*/
extern spc_func	(spc_ListPopup);						/* lnfpop.c 	*/
extern spc_func (spc_FileBox);							/* lnffile.c 	*/
extern spc_func (spc_FieldList);						/* lnffldls.c 	*/

extern mouhandler_func	(sedmou_LNF);					/* lnfwin.c		*/

extern aux_func (aux_RowHighlight);						/* lnffld1.c	*/
extern aux_func (aux_FileBox);							/* lnffile.c	*/
extern aux_func (aux_FieldBox);							/* lnffedit.c	*/
extern aux_func (aux_CodeBox);							/* lnfcode.c 	*/
extern aux_func (aux_SymBox);							/* lnfcode.c 	*/
extern aux_func (aux_EditBox);							/* lnfedit.c 	*/

extern ufunc_func (lnfufunc_unresolved);				/* lnfuser.c 	*/
